diff -aruN --binary 10/components/com_contact/views/contact/tmpl/default_address.php 11/components/com_contact/views/contact/tmpl/default_address.php
--- 10/components/com_contact/views/contact/tmpl/default_address.php	2009-01-10 03:58:06.000000000 +0100
+++ 11/components/com_contact/views/contact/tmpl/default_address.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,5 +1,5 @@
 <?php
-/** $Id: default_address.php 11328 2008-12-12 19:22:41Z kdevine $ */
+/** $Id: default_address.php 11917 2009-05-29 19:37:05Z ian $ */
 defined( '_JEXEC' ) or die( 'Restricted access' );
 ?>
 <?php if ( ( $this->contact->params->get( 'address_check' ) > 0 ) &&  ( $this->contact->address || $this->contact->suburb  || $this->contact->state || $this->contact->country || $this->contact->postcode ) ) : ?>
@@ -14,35 +14,35 @@
 <?php if ( $this->contact->address && $this->contact->params->get( 'show_street_address' ) ) : ?>
 <tr>
 	<td valign="top">
-		<?php echo nl2br($this->contact->address); ?>
+		<?php echo nl2br($this->escape($this->contact->address)); ?>
 	</td>
 </tr>
 <?php endif; ?>
 <?php if ( $this->contact->suburb && $this->contact->params->get( 'show_suburb' ) ) : ?>
 <tr>
 	<td valign="top">
-		<?php echo $this->contact->suburb; ?>
+		<?php echo $this->escape($this->contact->suburb); ?>
 	</td>
 </tr>
 <?php endif; ?>
 <?php if ( $this->contact->state && $this->contact->params->get( 'show_state' ) ) : ?>
 <tr>
 	<td valign="top">
-		<?php echo $this->contact->state; ?>
+		<?php echo $this->escape($this->contact->state); ?>
 	</td>
 </tr>
 <?php endif; ?>
 <?php if ( $this->contact->postcode && $this->contact->params->get( 'show_postcode' ) ) : ?>
 <tr>
 	<td valign="top">
-		<?php echo $this->contact->postcode; ?>
+		<?php echo $this->escape($this->contact->postcode); ?>
 	</td>
 </tr>
 <?php endif; ?>
 <?php if ( $this->contact->country && $this->contact->params->get( 'show_country' ) ) : ?>
 <tr>
 	<td valign="top">
-		<?php echo $this->contact->country; ?>
+		<?php echo $this->escape($this->contact->country); ?>
 	</td>
 </tr>
 <?php endif; ?>
@@ -71,7 +71,7 @@
 		<?php echo $this->contact->params->get( 'marker_telephone' ); ?>
 	</td>
 	<td>
-		<?php echo nl2br($this->contact->telephone); ?>
+		<?php echo nl2br($this->escape($this->contact->telephone)); ?>
 	</td>
 </tr>
 <?php endif; ?>
@@ -81,7 +81,7 @@
 		<?php echo $this->contact->params->get( 'marker_fax' ); ?>
 	</td>
 	<td>
-		<?php echo nl2br($this->contact->fax); ?>
+		<?php echo nl2br($this->escape($this->contact->fax)); ?>
 	</td>
 </tr>
 <?php endif; ?>
@@ -91,7 +91,7 @@
 	<?php echo $this->contact->params->get( 'marker_mobile' ); ?>
 	</td>
 	<td>
-		<?php echo nl2br($this->contact->mobile); ?>
+		<?php echo nl2br($this->escape($this->contact->mobile)); ?>
 	</td>
 </tr>
 <?php endif; ?>
@@ -100,8 +100,8 @@
 	<td width="<?php echo $this->contact->params->get( 'column_width' ); ?>" >
 	</td>
 	<td>
-		<a href="<?php echo $this->contact->webpage; ?>" target="_blank">
-			<?php echo $this->contact->webpage; ?></a>
+		<a href="<?php echo $this->escape($this->contact->webpage); ?>" target="_blank">
+			<?php echo $this->escape($this->contact->webpage); ?></a>
 	</td>
 </tr>
 <?php endif; ?>
@@ -115,7 +115,7 @@
 		<?php echo $this->contact->params->get( 'marker_misc' ); ?>
 	</td>
 	<td>
-		<?php echo $this->contact->misc; ?>
+		<?php echo $this->escape($this->contact->misc); ?>
 	</td>
 </tr>
 </table>
diff -aruN --binary 10/components/com_contact/views/contact/tmpl/default_form.php 11/components/com_contact/views/contact/tmpl/default_form.php
--- 10/components/com_contact/views/contact/tmpl/default_form.php	2009-01-10 03:58:06.000000000 +0100
+++ 11/components/com_contact/views/contact/tmpl/default_form.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,5 +1,5 @@
 <?php
-/** $Id: default_form.php 11328 2008-12-12 19:22:41Z kdevine $ */
+/** $Id: default_form.php 11917 2009-05-29 19:37:05Z ian $ */
 defined( '_JEXEC' ) or die( 'Restricted access' );
 
 	$script = '<!--
@@ -30,7 +30,7 @@
 	<td colspan="2">
 	<br /><br />
 	<form action="<?php echo JRoute::_( 'index.php' );?>" method="post" name="emailForm" id="emailForm" class="form-validate">
-		<div class="contact_email<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+		<div class="contact_email<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 			<label for="contact_name">
 				&nbsp;<?php echo JText::_( 'Enter your name' );?>:
 			</label>
diff -aruN --binary 10/components/com_contact/views/contact/tmpl/default.php 11/components/com_contact/views/contact/tmpl/default.php
--- 10/components/com_contact/views/contact/tmpl/default.php	2009-01-10 03:58:06.000000000 +0100
+++ 11/components/com_contact/views/contact/tmpl/default.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,18 +1,18 @@
 <?php
 /**
- * $Id: default.php 11328 2008-12-12 19:22:41Z kdevine $
+ * $Id: default.php 11917 2009-05-29 19:37:05Z ian $
  */
 defined( '_JEXEC' ) or die( 'Restricted access' );
 
 $cparams = JComponentHelper::getParams ('com_media');
 ?>
 <?php if ( $this->params->get( 'show_page_title', 1 ) && !$this->contact->params->get( 'popup' ) && $this->params->get('page_title') != $this->contact->name ) : ?>
-	<div class="componentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 		<?php echo $this->params->get( 'page_title' ); ?>
 	</div>
 <?php endif; ?>
 <div id="component-contact">
-<table width="100%" cellpadding="0" cellspacing="0" border="0" class="contentpaneopen<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<table width="100%" cellpadding="0" cellspacing="0" border="0" class="contentpaneopen<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 <?php if ( $this->params->get( 'show_contact_list' ) && count( $this->contacts ) > 1) : ?>
 <tr>
 	<td colspan="2" align="center">
@@ -28,15 +28,15 @@
 <?php endif; ?>
 <?php if ( $this->contact->name && $this->contact->params->get( 'show_name' ) ) : ?>
 <tr>
-	<td width="100%" class="contentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
-		<?php echo $this->contact->name; ?>
+	<td width="100%" class="contentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
+		<?php echo $this->escape($this->contact->name); ?>
 	</td>
 </tr>
 <?php endif; ?>
 <?php if ( $this->contact->con_position && $this->contact->params->get( 'show_position' ) ) : ?>
 <tr>
 	<td colspan="2">
-	<?php echo $this->contact->con_position; ?>
+	<?php echo $this->escape($this->contact->con_position); ?>
 		<br /><br />
 	</td>
 </tr>
diff -aruN --binary 10/components/com_content/helpers/icon.php 11/components/com_content/helpers/icon.php
--- 10/components/com_content/helpers/icon.php	2008-11-11 01:30:12.000000000 +0100
+++ 11/components/com_content/helpers/icon.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: icon.php 11213 2008-10-25 12:43:11Z pasamio $
+ * @version		$Id: icon.php 11917 2009-05-29 19:37:05Z ian $
  * @package		Joomla
  * @subpackage	Content
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -123,7 +123,7 @@
 		$overlib .= '&lt;br /&gt;';
 		$overlib .= $date;
 		$overlib .= '&lt;br /&gt;';
-		$overlib .= $author;
+		$overlib .= htmlspecialchars($author, ENT_COMPAT, 'UTF-8');
 
 		$button = JHTML::_('link', JRoute::_($url), $text);
 
diff -aruN --binary 10/components/com_content/models/category.php 11/components/com_content/models/category.php
--- 10/components/com_content/models/category.php	2009-03-28 01:43:46.000000000 +0100
+++ 11/components/com_content/models/category.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: category.php 11687 2009-03-11 17:49:23Z ian $
+ * @version		$Id: category.php 11794 2009-05-06 01:56:42Z ian $
  * @package		Joomla
  * @subpackage	Content
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -387,6 +387,12 @@
 		{
 			$orderby .= $filter_order .' '. $filter_order_Dir.', ';
 		}
+	    elseif($filter_order == '' && $filter_order_Dir == '')
+		{
+				$filter_order='a.ordering';
+				$filter_order_Dir='ASC';
+				$orderby .= $filter_order .' '. $filter_order_Dir.', ';
+		}
 
 		if ($filter_order == 'author')
 		{
diff -aruN --binary 10/components/com_content/views/archive/tmpl/default_items.php 11/components/com_content/views/archive/tmpl/default_items.php
--- 10/components/com_content/views/archive/tmpl/default_items.php	2008-11-11 01:30:12.000000000 +0100
+++ 11/components/com_content/views/archive/tmpl/default_items.php	2009-06-02 23:51:34.000000000 +0200
@@ -16,7 +16,7 @@
 					<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getSectionRoute($item->sectionid)).'">'; ?>
 				<?php endif; ?>
 
-				<?php echo $item->section; ?>
+				<?php echo $this->escape($item->section); ?>
 
 				<?php if ($this->params->get('link_section')) : ?>
 					<?php echo '</a>'; ?>
@@ -32,7 +32,7 @@
 				<?php if ($this->params->get('link_category')) : ?>
 					<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($item->catslug, $item->sectionid)).'">'; ?>
 				<?php endif; ?>
-				<?php echo $item->category; ?>
+				<?php echo $this->escape($item->category); ?>
 				<?php if ($this->params->get('link_category')) : ?>
 					<?php echo '</a>'; ?>
 				<?php endif; ?>
@@ -49,7 +49,7 @@
 			<?php endif; ?>
 			<?php if ($this->params->get('show_author')) : ?>
 			<span class="author">
-				<?php echo JText::_('Author').': '; echo $item->created_by_alias ? $item->created_by_alias : $item->author; ?>
+				<?php echo JText::_('Author').': '; echo $this->escape($item->created_by_alias) ? $this->escape($item->created_by_alias) : $this->escape($item->author); ?>
 			</span>
 		<?php endif; ?>
 		</h5>
diff -aruN --binary 10/components/com_content/views/archive/tmpl/default.php 11/components/com_content/views/archive/tmpl/default.php
--- 10/components/com_content/views/archive/tmpl/default.php	2008-07-06 23:39:04.000000000 +0200
+++ 11/components/com_content/views/archive/tmpl/default.php	2009-06-02 23:51:34.000000000 +0200
@@ -2,7 +2,7 @@
 defined('_JEXEC') or die('Restricted access'); ?>
 <form id="jForm" action="<?php JRoute::_('index.php')?>" method="post">
 <?php if ($this->params->get('show_page_title', 1)) : ?>
-	<div class="componentheading<?php echo $this->params->get('pageclass_sfx')?>"><?php echo $this->escape($this->params->get('page_title')); ?></div>
+	<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>"><?php echo $this->escape($this->params->get('page_title')); ?></div>
 <?php endif; ?>
 	<p>
 		<?php if ($this->params->get('filter')) : ?>
diff -aruN --binary 10/components/com_content/views/article/tmpl/default.php 11/components/com_content/views/article/tmpl/default.php
--- 10/components/com_content/views/article/tmpl/default.php	2008-11-11 01:30:12.000000000 +0100
+++ 11/components/com_content/views/article/tmpl/default.php	2009-06-02 23:51:34.000000000 +0200
@@ -4,17 +4,17 @@
 $canEdit	= ($this->user->authorize('com_content', 'edit', 'content', 'all') || $this->user->authorize('com_content', 'edit', 'content', 'own'));
 ?>
 <?php if ($this->params->get('show_page_title', 1) && $this->params->get('page_title') != $this->article->title) : ?>
-	<div class="componentheading<?php echo $this->params->get('pageclass_sfx')?>">
+	<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 		<?php echo $this->escape($this->params->get('page_title')); ?>
 	</div>
 <?php endif; ?>
 <?php if ($canEdit || $this->params->get('show_title') || $this->params->get('show_pdf_icon') || $this->params->get('show_print_icon') || $this->params->get('show_email_icon')) : ?>
-<table class="contentpaneopen<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<table class="contentpaneopen<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 <tr>
 	<?php if ($this->params->get('show_title')) : ?>
-	<td class="contentheading<?php echo $this->params->get( 'pageclass_sfx' ); ?>" width="100%">
+	<td class="contentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" width="100%">
 		<?php if ($this->params->get('link_titles') && $this->article->readmore_link != '') : ?>
-		<a href="<?php echo $this->article->readmore_link; ?>" class="contentpagetitle<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+		<a href="<?php echo $this->article->readmore_link; ?>" class="contentpagetitle<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 			<?php echo $this->escape($this->article->title); ?></a>
 		<?php else : ?>
 			<?php echo $this->escape($this->article->title); ?>
@@ -57,7 +57,7 @@
 	echo $this->article->event->afterDisplayTitle;
 endif; ?>
 <?php echo $this->article->event->beforeDisplayContent; ?>
-<table class="contentpaneopen<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<table class="contentpaneopen<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 <?php if (($this->params->get('show_section') && $this->article->sectionid) || ($this->params->get('show_category') && $this->article->catid)) : ?>
 <tr>
 	<td>
@@ -66,7 +66,7 @@
 			<?php if ($this->params->get('link_section')) : ?>
 				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getSectionRoute($this->article->sectionid)).'">'; ?>
 			<?php endif; ?>
-			<?php echo $this->article->section; ?>
+			<?php echo $this->escape($this->article->section); ?>
 			<?php if ($this->params->get('link_section')) : ?>
 				<?php echo '</a>'; ?>
 			<?php endif; ?>
@@ -80,7 +80,7 @@
 			<?php if ($this->params->get('link_category')) : ?>
 				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->article->catslug, $this->article->sectionid)).'">'; ?>
 			<?php endif; ?>
-			<?php echo $this->article->category; ?>
+			<?php echo $this->escape($this->article->category); ?>
 			<?php if ($this->params->get('link_category')) : ?>
 				<?php echo '</a>'; ?>
 			<?php endif; ?>
@@ -93,7 +93,7 @@
 <tr>
 	<td valign="top">
 		<span class="small">
-			<?php JText::printf( 'Written by', ($this->article->created_by_alias ? $this->article->created_by_alias : $this->article->author) ); ?>
+			<?php JText::printf( 'Written by', ($this->escape($this->article->created_by_alias) ? $this->escape($this->article->created_by_alias) : $this->escape($this->article->author)) ); ?>
 		</span>
 		&nbsp;&nbsp;
 	</td>
@@ -112,7 +112,7 @@
 <tr>
 	<td valign="top">
 		<a href="http://<?php echo $this->article->urls ; ?>" target="_blank">
-			<?php echo $this->article->urls; ?></a>
+			<?php echo $this->escape($this->article->urls); ?></a>
 	</td>
 </tr>
 <?php endif; ?>
diff -aruN --binary 10/components/com_content/views/article/tmpl/form.php 11/components/com_content/views/article/tmpl/form.php
--- 10/components/com_content/views/article/tmpl/form.php	2009-01-10 03:58:06.000000000 +0100
+++ 11/components/com_content/views/article/tmpl/form.php	2009-06-02 23:51:34.000000000 +0200
@@ -63,7 +63,7 @@
 //-->
 </script>
 <?php if ($this->params->get('show_page_title', 1)) : ?>
-<div class="componentheading<?php echo $this->params->get('pageclass_sfx')?>"><?php echo $this->escape($this->params->get('page_title')); ?></div>
+<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>"><?php echo $this->escape($this->params->get('page_title')); ?></div>
 <?php endif; ?>
 <form action="<?php echo $this->action ?>" method="post" name="adminForm" onSubmit="setgood();">
 <fieldset>
@@ -146,7 +146,7 @@
 		</label>
 	</td>
 	<td>
-		<input type="text" id="created_by_alias" name="created_by_alias" size="50" maxlength="100" value="<?php echo $this->article->created_by_alias; ?>" class="inputbox" />
+		<input type="text" id="created_by_alias" name="created_by_alias" size="50" maxlength="100" value="<?php echo $this->escape($this->article->created_by_alias); ?>" class="inputbox" />
 	</td>
 </tr>
 <tr>
diff -aruN --binary 10/components/com_content/views/category/tmpl/blog_item.php 11/components/com_content/views/category/tmpl/blog_item.php
--- 10/components/com_content/views/category/tmpl/blog_item.php	2008-11-11 01:30:12.000000000 +0100
+++ 11/components/com_content/views/category/tmpl/blog_item.php	2009-06-02 23:51:34.000000000 +0200
@@ -6,12 +6,12 @@
 <?php endif; ?>
 
 <?php if ($this->item->params->get('show_title') || $this->item->params->get('show_pdf_icon') || $this->item->params->get('show_print_icon') || $this->item->params->get('show_email_icon') || $canEdit) : ?>
-<table class="contentpaneopen<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>">
+<table class="contentpaneopen<?php echo $this->escape($this->item->params->get( 'pageclass_sfx' )); ?>">
 <tr>
 	<?php if ($this->item->params->get('show_title')) : ?>
-	<td class="contentheading<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>" width="100%">
+	<td class="contentheading<?php echo $this->escape($this->item->params->get( 'pageclass_sfx' )); ?>" width="100%">
 		<?php if ($this->item->params->get('link_titles') && $this->item->readmore_link != '') : ?>
-		<a href="<?php echo $this->item->readmore_link; ?>" class="contentpagetitle<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>">
+		<a href="<?php echo $this->item->readmore_link; ?>" class="contentpagetitle<?php echo $this->escape($this->item->params->get( 'pageclass_sfx' )); ?>">
 			<?php echo $this->escape($this->item->title); ?></a>
 		<?php else : ?>
 			<?php echo $this->escape($this->item->title); ?>
@@ -48,7 +48,7 @@
 	echo $this->item->event->afterDisplayTitle;
 endif; ?>
 <?php echo $this->item->event->beforeDisplayContent; ?>
-<table class="contentpaneopen<?php echo $this->item->params->get( 'pageclass_sfx' ); ?>">
+<table class="contentpaneopen<?php echo $this->escape($this->item->params->get( 'pageclass_sfx' )); ?>">
 <?php if (($this->item->params->get('show_section') && $this->item->sectionid) || ($this->item->params->get('show_category') && $this->item->catid)) : ?>
 <tr>
 	<td>
@@ -57,7 +57,7 @@
 			<?php if ($this->item->params->get('link_section')) : ?>
 				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getSectionRoute($this->item->sectionid)).'">'; ?>
 			<?php endif; ?>
-			<?php echo $this->item->section; ?>
+			<?php echo $this->escape($this->item->section); ?>
 			<?php if ($this->item->params->get('link_section')) : ?>
 				<?php echo '</a>'; ?>
 			<?php endif; ?>
@@ -71,7 +71,7 @@
 			<?php if ($this->item->params->get('link_category')) : ?>
 				<?php echo '<a href="'.JRoute::_(ContentHelperRoute::getCategoryRoute($this->item->catslug, $this->item->sectionid)).'">'; ?>
 			<?php endif; ?>
-			<?php echo $this->item->category; ?>
+			<?php echo $this->escape($this->item->category); ?>
 			<?php if ($this->item->params->get('link_category')) : ?>
 				<?php echo '</a>'; ?>
 			<?php endif; ?>
@@ -85,7 +85,7 @@
 <tr>
 	<td width="70%"  valign="top" colspan="2">
 		<span class="small">
-			<?php JText::printf( 'Written by', ($this->item->created_by_alias ? $this->item->created_by_alias : $this->item->author) ); ?>
+			<?php JText::printf( 'Written by', ($this->escape($this->item->created_by_alias) ? $this->escape($this->item->created_by_alias) : $this->escape($this->item->author)) ); ?>
 		</span>
 		&nbsp;&nbsp;
 	</td>
@@ -103,8 +103,8 @@
 <?php if ($this->item->params->get('show_url') && $this->item->urls) : ?>
 <tr>
 	<td valign="top" colspan="2">
-		<a href="http://<?php echo $this->item->urls ; ?>" target="_blank">
-			<?php echo $this->item->urls; ?></a>
+		<a href="http://<?php echo $this->escape($this->item->urls) ; ?>" target="_blank">
+			<?php echo $this->escape($this->item->urls); ?></a>
 	</td>
 </tr>
 <?php endif; ?>
@@ -129,7 +129,7 @@
 <?php if ($this->item->params->get('show_readmore') && $this->item->readmore) : ?>
 <tr>
 	<td  colspan="2">
-		<a href="<?php echo $this->item->readmore_link; ?>" class="readon<?php echo $this->item->params->get('pageclass_sfx'); ?>">
+		<a href="<?php echo $this->item->readmore_link; ?>" class="readon<?php echo $this->escape($this->item->params->get('pageclass_sfx')); ?>">
 			<?php if ($this->item->readmore_register) :
 				echo JText::_('Register to read more...');
 			elseif ($readmore = $this->item->params->get('readmore')) :
diff -aruN --binary 10/components/com_content/views/category/tmpl/blog_links.php 11/components/com_content/views/category/tmpl/blog_links.php
--- 10/components/com_content/views/category/tmpl/blog_links.php	2008-07-27 00:29:08.000000000 +0200
+++ 11/components/com_content/views/category/tmpl/blog_links.php	2009-06-02 23:51:34.000000000 +0200
@@ -7,7 +7,7 @@
 <?php foreach ($this->links as $link) : ?>
 	<li>
 			<a class="blogsection" href="<?php echo JRoute::_(ContentHelperRoute::getArticleRoute($link->slug, $link->catslug, $link->sectionid)); ?>">
-			<?php echo $link->title; ?></a>
+			<?php echo $this->escape($link->title); ?></a>
 	</li>
 <?php endforeach; ?>
 </ul>
diff -aruN --binary 10/components/com_content/views/category/tmpl/blog.php 11/components/com_content/views/category/tmpl/blog.php
--- 10/components/com_content/views/category/tmpl/blog.php	2008-11-11 01:30:12.000000000 +0100
+++ 11/components/com_content/views/category/tmpl/blog.php	2009-06-02 23:51:34.000000000 +0200
@@ -3,11 +3,11 @@
 $cparams =& JComponentHelper::getParams('com_media');
 ?>
 <?php if ($this->params->get('show_page_title', 1)) : ?>
-<div class="componentheading<?php echo $this->params->get('pageclass_sfx');?>">
+<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<?php echo $this->escape($this->params->get('page_title')); ?>
 </div>
 <?php endif; ?>
-<table class="blog<?php echo $this->params->get('pageclass_sfx');?>" cellpadding="0" cellspacing="0">
+<table class="blog<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" cellpadding="0" cellspacing="0">
 <?php if ($this->params->def('show_description', 1) || $this->params->def('show_description_image', 1)) :?>
 <tr>
 	<td valign="top">
@@ -93,7 +93,7 @@
 <?php if ($this->params->get('num_links') && ($i < $this->total)) : ?>
 <tr>
 	<td valign="top">
-		<div class="blog_more<?php echo $this->params->get('pageclass_sfx') ?>">
+		<div class="blog_more<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 			<?php
 				$this->links = array_splice($this->items, $i - $this->pagination->limitstart);
 				echo $this->loadTemplate('links');
diff -aruN --binary 10/components/com_content/views/category/tmpl/default_items.php 11/components/com_content/views/category/tmpl/default_items.php
--- 10/components/com_content/views/category/tmpl/default_items.php	2009-03-28 01:43:46.000000000 +0100
+++ 11/components/com_content/views/category/tmpl/default_items.php	2009-06-02 23:51:34.000000000 +0200
@@ -39,33 +39,33 @@
 <?php endif; ?>
 <?php if ($this->params->get('show_headings')) : ?>
 <tr>
-	<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" align="right" width="5%">
+	<td class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" align="right" width="5%">
 		<?php echo JText::_('Num'); ?>
 	</td>
 	<?php if ($this->params->get('show_title')) : ?>
- 	<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" width="45%">
+ 	<td class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" width="45%">
 		<?php echo JHTML::_('grid.sort',  'Item Title', 'a.title', $this->lists['order_Dir'], $this->lists['order'] ); ?>
 	</td>
 	<?php endif; ?>
 	<?php if ($this->params->get('show_date')) : ?>
-	<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" width="25%">
+	<td class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" width="25%">
 		<?php echo JHTML::_('grid.sort',  'Date', 'a.created', $this->lists['order_Dir'], $this->lists['order'] ); ?>
 	</td>
 	<?php endif; ?>
 	<?php if ($this->params->get('show_author')) : ?>
-	<td class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>"  width="20%">
+	<td class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>"  width="20%">
 		<?php echo JHTML::_('grid.sort',  'Author', 'author', $this->lists['order_Dir'], $this->lists['order'] ); ?>
 	</td>
 	<?php endif; ?>
 	<?php if ($this->params->get('show_hits')) : ?>
-	<td align="center" class="sectiontableheader<?php echo $this->params->get( 'pageclass_sfx' ); ?>" width="5%" nowrap="nowrap">
+	<td align="center" class="sectiontableheader<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" width="5%" nowrap="nowrap">
 		<?php echo JHTML::_('grid.sort',  'Hits', 'a.hits', $this->lists['order_Dir'], $this->lists['order'] ); ?>
 	</td>
 	<?php endif; ?>
 </tr>
 <?php endif; ?>
 <?php foreach ($this->items as $item) : ?>
-<tr class="sectiontableentry<?php echo ($item->odd +1 ) . $this->params->get( 'pageclass_sfx' ); ?>" >
+<tr class="sectiontableentry<?php echo ($item->odd +1 ) . $this->escape($this->params->get('pageclass_sfx')); ?>; ?>" >
 	<td align="right">
 		<?php echo $this->pagination->getRowOffset( $item->count ); ?>
 	</td>
@@ -73,7 +73,7 @@
 	<?php if ($item->access <= $this->user->get('aid', 0)) : ?>
 	<td>
 		<a href="<?php echo $item->link; ?>">
-			<?php echo $item->title; ?></a>
+			<?php echo $this->escape($item->title); ?></a>
 			<?php $this->item = $item; echo JHTML::_('icon.edit', $item, $this->params, $this->access) ?>
 	</td>
 	<?php else : ?>
@@ -98,12 +98,12 @@
 	<?php endif; ?>
 	<?php if ($this->params->get('show_author')) : ?>
 	<td >
-		<?php echo $item->created_by_alias ? $item->created_by_alias : $item->author; ?>
+		<?php echo $this->escape($item->created_by_alias) ? $this->escape($item->created_by_alias) : $this->escape($item->author); ?>
 	</td>
 	<?php endif; ?>
 	<?php if ($this->params->get('show_hits')) : ?>
 	<td align="center">
-		<?php echo $item->hits ? $item->hits : '-'; ?>
+		<?php echo $this->escape($item->hits) ? $this->escape($item->hits) : '-'; ?>
 	</td>
 	<?php endif; ?>
 </tr>
@@ -113,7 +113,7 @@
 	<td colspan="5">&nbsp;</td>
 </tr>
 <tr>
-	<td align="center" colspan="4" class="sectiontablefooter<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+	<td align="center" colspan="4" class="sectiontablefooter<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 		<?php echo $this->pagination->getPagesLinks(); ?>
 	</td>
 </tr>
diff -aruN --binary 10/components/com_content/views/category/tmpl/default.php 11/components/com_content/views/category/tmpl/default.php
--- 10/components/com_content/views/category/tmpl/default.php	2008-07-06 23:39:02.000000000 +0200
+++ 11/components/com_content/views/category/tmpl/default.php	2009-06-02 23:51:34.000000000 +0200
@@ -3,13 +3,13 @@
 $cparams =& JComponentHelper::getParams('com_media');
 ?>
 <?php if ($this->params->get('show_page_title', 1)) : ?>
-<div class="componentheading<?php echo $this->params->get('pageclass_sfx');?>">
+<div class="componentheading<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 	<?php echo $this->escape($this->params->get('page_title')); ?>
 </div>
 <?php endif; ?>
-<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->params->get( 'pageclass_sfx' ); ?>">
+<table width="100%" cellpadding="0" cellspacing="0" border="0" align="center" class="contentpane<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>">
 <tr>
-	<td width="60%" valign="top" class="contentdescription<?php echo $this->params->get( 'pageclass_sfx' ); ?>" colspan="2">
+	<td width="60%" valign="top" class="contentdescription<?php echo $this->escape($this->params->get('pageclass_sfx')); ?>" colspan="2">
 	<?php if ($this->category->image) : ?>
 		<img src="<?php echo $this->baseurl . '/' . $cparams->get('image_path') . '/'. $this->category->image;?>" align="<?php echo $this->category->image_position;?>" hspace="6" alt="<?php echo $this->category->image;?>" />
 	<?php endif; ?>
diff -aruN --binary 10/components/com_content/views/category/view.feed.php 11/components/com_content/views/category/view.feed.php
--- 10/components/com_content/views/category/view.feed.php	2009-03-28 01:43:46.000000000 +0100
+++ 11/components/com_content/views/category/view.feed.php	2009-06-02 23:51:34.000000000 +0200
@@ -1,6 +1,6 @@
 <?php
 /**
- * @version		$Id: view.feed.php 11687 2009-03-11 17:49:23Z ian $
+ * @version		$Id: view.feed.php 11795 2009-05-06 01:59:19Z ian $
  * @package		Joomla
  * @subpackage	Content
  * @copyright	Copyright (C) 2005 - 2008 Open Source Matters. All rights reserved.
@@ -32,7 +32,7 @@
 
 		$doc     =& JFactory::getDocument();
 		$params =& $mainframe->getParams();
-		$feedEmail = ($mainframe->getCfg('feed_email')) ? $mainframe->getCfg('feed_email') : 'author';
+		$feedEmail = (@$mainframe->getCfg('feed_email')) ? $mainframe->getCfg('feed_email') : 'author';
 		$siteEmail = $mainframe->getCfg('mailfrom');
 
 		// Get some data from the model
